%define	version 0.2.0
%define rel	%mkrel 6
%define	release	0.pre1.%{rel}

Name:		pornview
Summary:	An image and movie viewer/manager with thumbnail previews and a weird name
Version:	%{version} 
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
# Fixes segfault on certain directories (from Debian)
Patch0:		%{name}-dir_perm_fix.patch.bz2
# Main homepage seems to be dead
URL:		http://packages.debian.org/unstable/source/pornview
Group:		Graphics
License:	GPL
BuildRequires:  pkgconfig
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gtk-devel X11-devel
Requires:	mplayer

%description
PornView is an image and movie viewer/manager with thumbnail previews.
Additional features includes thumbnail caching, directory tree views,
adjustable zoom and fullscreen view. It's a weird name but it's really
just a image and movie viewer:)

%prep
%setup -q
%patch0 -p1

%build
# Tarball sucks
%make clean
%configure --without-gtk2 --enable-mplayer
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
# Install icons
install -m644 ./icons/pornview_16x16.png -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 ./icons/pornview_32x32.png -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 ./icons/pornview_48x48.png -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/pornview
Icon=%name
Categories=Graphics;Viewer;
Name=Pornview
Comment=An image and movie viewer
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}.lang
%defattr(-,root,root)
%doc TODO README AUTHORS
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/gnome/apps/Graphics/pornview.desktop



%changelog
* Fri Dec 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-0.pre1.6mdv2008.1
+ Revision: 136246
- auto-convert XDG menu entry
- BR X11-devel
- kill re-definition of %%buildroot on Pixel's request
- import pornview


* Tue Apr 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-0.pre1.6mdk
- Fix BuildRequires

* Thu Jan 05 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.0-0.pre1.5mdk
- Fixed build on x86_64 (maybe)

* Sun Dec 04 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.0-0.pre1.4mdk
- Uh, disable gtk2 again (too broken)
- Enable movie support using mplayer (add requires: mplayer)

* Sat Dec 03 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.0-0.pre1.3mdk
- Really build the gtk2 interface
- Patch0 (from Debian): Fix segfault on certain directories (bug #16128)

* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-0.pre1.2mdk
- Fix BuildRequires

* Wed May 18 2005  Eskild Hustvedt <eskild@mandriva.org> 0.2.0-0.pre1.1mdk
- Initial Mandriva Linux package
